Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## bildanalyse
Class Farbbild

    java.lang.Object
      bildanalyse.Farbbild

    public class Farbbild

extends java.lang.Object

Die Klasse setzt ein manipulierbares Farbbild beliebiger Größe um. Erzeugte Bilder können mit dem Bildwerkzeug geschrieben werden.
Bei dem Umgang mit den Klassen dieses Paketes ist es wichtig, sich den Aufbau der Bilder bewusst zu machen: Die einzelnen Bildpunkte (=Pixel) eines Bildes werden ab 0 beginnend fortlaufend durchnummeriert. Der Bildpunkt 0 befindet sich dabei in der linken, oberen Ecke des Bildes. Die Nummerierung erfolgt wie in Leserichtung üblich (von Links nach Rechts; Von Oben nach Unten).

Version:
  03.08.08
Author:
  Thomas Leckelt

Constructor Summary
`Farbbild(int bildbreite, int bildhoehe)` Erzeugt ein neues, leeres, schwarzes Farbbild

Method Summary
`Pixel[]` | `gibAllePixel()` Gibt alle Bildpunkte des Bildes in einem Array zurück.
`int` | `gibBreite()` Gibt die Breite des Bildes zurück.
`int` | `gibHoehe()` Gibt die Höhe des Bildes zurück.
`Pixel` | `gibPixel(int position)` Gibt den Pixel an der angegeben Position zurück.
`Pixel[][]` | `gibPixelMatrix()` Gibt alle Bildpunkte des Bildes in einem zweidimensionalen Array zurück.
`Pixel[]` | `gibPixelZeile(int nr)` Gibt alle Bildpunkte der angegebenen Zeile zurück.
`void` | `setzeAllePixel(Pixel[] pix)` Ersetzt alle Bildpunkte des Bildes durch die Bildpunkte im Pixelarray (Dimensionen müssen übereinstimmen!)
`void` | `setzeAllePixel(Pixel[][] pix)` Ersetzt alle Bildpunkte des Bildes durch die Bildpunkte im zweidimensionalen Pixelarray (Dimensionen müssen übereinstimmen!)
`void` | `setzePixel(int position, Pixel p)` Setzt den angegebenen Pixel an die angegebene Postion im Bild.
`void` | `setzePixelZeile(int nr, Pixel[] pix)` Ersetzt alle Bildpunkte der angegebenen Zeile durch die Bildpunkte im Pixelarray (Dimension muss übereinstimmen!)

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Farbbild

    public Farbbild(int bildbreite,
                    int bildhoehe)

  Erzeugt ein neues, leeres, schwarzes Farbbild

  Parameters:
    `bildBreite` - Breite des neu zu erzeugenden Farbbildes (in Pixeln)
    `bildhoehe` - Hoehe des neu zu erzeugenden Farbbildes (in Pixeln)

Method Detail

### gibAllePixel

    public Pixel[] gibAllePixel()

  Gibt alle Bildpunkte des Bildes in einem Array zurück.

  Returns:
    Pixelarray

### gibBreite

    public int gibBreite()

  Gibt die Breite des Bildes zurück.

  Returns:
    Bildbreite in Pixeln

### gibHoehe

    public int gibHoehe()

  Gibt die Höhe des Bildes zurück.

  Returns:
    Bildhöhe in Pixeln

### gibPixel

    public Pixel gibPixel(int position)

  Gibt den Pixel an der angegeben Position zurück. Die Pixel sind dabei fortlaufend durchnummeriert, beginnend mit dem 0. Pixel in der oberen, linken Ecke des Bildes.

  Parameters:
    `position` - Position des Pixels im Bild, der zurückgegeben werden soll.
  Returns:
    Pixel an der angegebenen Position

### gibPixelMatrix

    public Pixel[][] gibPixelMatrix()

  Gibt alle Bildpunkte des Bildes in einem zweidimensionalen Array zurück.

  Returns:
    zweidimensionales Pixelarray (Pixelmatrix)

### gibPixelZeile

    public Pixel[] gibPixelZeile(int nr)

  Gibt alle Bildpunkte der angegebenen Zeile zurück.

  Parameters:
    `nr` - Nummer der gewünschten Zeile (mit 0 bei der oberen Zeile beginnend)
  Returns:
    Pixelarray der Pixel in der angegeben Zeile

### setzeAllePixel

    public void setzeAllePixel(Pixel[] pix)

  Ersetzt alle Bildpunkte des Bildes durch die Bildpunkte im Pixelarray (Dimensionen müssen übereinstimmen!)

  Parameters:
    `pix` - Pixelarray mit allen Bildpunkten

### setzeAllePixel

    public void setzeAllePixel(Pixel[][] pix)

  Ersetzt alle Bildpunkte des Bildes durch die Bildpunkte im zweidimensionalen Pixelarray (Dimensionen müssen übereinstimmen!)

  Parameters:
    `pix` - zweidimensionales Pixelarray (Pixelmatrix) mit allen Bildpunkten

### setzePixel

    public void setzePixel(int position,
                           Pixel p)

  Setzt den angegebenen Pixel an die angegebene Postion im Bild.

  Parameters:
    `position` - Position im Bild (fortlaufende Nummerierung beachten!)

### setzePixelZeile

    public void setzePixelZeile(int nr,
                                Pixel[] pix)

  Ersetzt alle Bildpunkte der angegebenen Zeile durch die Bildpunkte im Pixelarray (Dimension muss übereinstimmen!)

  Parameters:
    `nr` - Nummer der gewünschten Zeile (mit 0 bei der oberen Zeile beginnend)
    `pix` - Pixelarray mit allen Bildpunkten der Zeile

Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD